de.esprit.netsuite.server.core

## Class EmailSender

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject
    - - de.esprit.netsuite.server.core.EmailSender

- All Implemented Interfaces:
    ApplicationObject, SimpleLogSupport, Dumpable

      public class EmailSender
      extends AbstractApplicationObject

  This class sends an email to the configured recipients
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailSender(ApplicationContext ctx, java.lang.String mailServer, java.lang.String sender, java.lang.String account, java.lang.String password)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sendEmailMessage(java.lang.String[] mailAddrs, java.lang.String subject, java.lang.String message, java.lang.Exception error)`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailSender

          public EmailSender(ApplicationContext ctx,
                     java.lang.String mailServer,
                     java.lang.String sender,
                     java.lang.String account,
                     java.lang.String password)

  - ### Method Detail

    - #### sendEmailMessage

          public void sendEmailMessage(java.lang.String[] mailAddrs,
                              java.lang.String subject,
                              java.lang.String message,
                              java.lang.Exception error)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.